Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cz.vutbr.feec.utko.fojtoval.krypto
Class NavrhApp

    java.lang.Object
      org.jdesktop.application.AbstractBean
          org.jdesktop.application.Application
              org.jdesktop.application.SingleFrameApplication
                  cz.vutbr.feec.utko.fojtoval.krypto.NavrhApp

    public class NavrhApp

extends org.jdesktop.application.SingleFrameApplication

The main class of the application.

Nested Class Summary

Nested classes/interfaces inherited from class org.jdesktop.application.Application
`org.jdesktop.application.Application.ExitListener`

Constructor Summary
`NavrhApp()`

Method Summary
`protected void` | `configureWindow(java.awt.Window root)` This method is to initialize the specified window by injecting resources.
`static NavrhApp` | `getApplication()` A convenient static getter for the application instance.
`static void` | `main(java.lang.String[] args)` Main method launching the application.
`protected void` | `startup()` At startup create and show the main frame of the application.

Methods inherited from class org.jdesktop.application.SingleFrameApplication
`getMainFrame, getMainView, setMainFrame, show, show, show, show, shutdown`

Methods inherited from class org.jdesktop.application.Application
`addExitListener, end, exit, exit, getContext, getExitListeners, getInstance, getInstance, hide, initialize, launch, quit, ready, removeExitListener`

Methods inherited from class org.jdesktop.application.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavrhApp

    public NavrhApp()

Method Detail

### startup

    protected void startup()

  At startup create and show the main frame of the application.

  Specified by:
    `startup` in class `org.jdesktop.application.Application`

### configureWindow

    protected void configureWindow(java.awt.Window root)

  This method is to initialize the specified window by injecting resources. Windows shown in our application come fully initialized from the GUI builder, so this additional configuration is not needed.

  Overrides:
    `configureWindow` in class `org.jdesktop.application.SingleFrameApplication`

### getApplication

    public static NavrhApp getApplication()

  A convenient static getter for the application instance.

  Returns:
    the instance of NavrhApp

### main

    public static void main(java.lang.String[] args)

  Main method launching the application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD